Show only reviews from Ubuntu

Bug #1825064 reported by Robert Ancell on 2019-04-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
Medium
Robert Ancell
Bionic
Medium
Robert Ancell
Cosmic
Medium
Robert Ancell
Disco
Medium
Robert Ancell

Bug Description

[Impact]
GNOME Software shows all reviews from ODRS, which includes reviews from other distributions. This can be misleading to Ubuntu users, as they may indicate issues or limitations that don't apply in Ubuntu. Solution is to filter reviews to show those reported on Ubuntu only.

[Test Case]
1. Open GNOME Software
2. Select an app with reviews

Expected result:
The reviews should relate to Ubuntu

Observed result:
Some apps have reviews saying "Failed to start on <distro X>", which doesn't occur on Ubuntu.

[Regression Potential]
A filter was added to check the "distro" field on the review matches the distro GNOME Software is running on. This has a small risk of introducing a new bug.

Changed in gnome-software (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Disco):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Cosmic):
status: New → Triaged
Changed in gnome-software (Ubuntu Disco):
status: New → Fix Committed
Changed in gnome-software (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Cosmic):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Disco):
assignee: nobody → Robert Ancell (robert-ancell)
Steve Langasek (vorlon) wrote :

Please provide a test case that includes a specific application that is known to have non-Ubuntu reviews.

Changed in gnome-software (Ubuntu Disco):
status: Fix Committed → Incomplete
Will Cooke (willcooke) wrote :

The Discord snap is a good example. This review should not appear:

https://odrs.gnome.org/admin/review/14002

Hello Robert, or anyone else affected,

Accepted gnome-software into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.30.6-2ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-software (Ubuntu Disco):
status: Incomplete → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in gnome-software (Ubuntu Cosmic):
status: Triaged → Fix Committed
tags: added: verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Robert, or anyone else affected,

Accepted gnome-software into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.30.2-0ubuntu11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Robert, or anyone else affected,

Accepted gnome-software into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.28.1-0ubuntu4.18.04.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-software (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed-bionic
Robert Ancell (robert-ancell) wrote :

Tested in 18.04 LTS (gnome-software 3.28.1-0ubuntu4.18.04.10). When viewing the discord snap the linked review doesn't show.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Robert Ancell (robert-ancell) wrote :

Tested in 19.04 LTS (gnome-software 3.30.6-2ubuntu4). When viewing the discord snap the linked review doesn't show.

tags: added: verification-done-disco
removed: verification-needed-disco
Robert Ancell (robert-ancell) wrote :

Tested in 19.10 (gnome-software 3.30.2-0ubuntu11). When viewing the discord snap the linked review doesn't show.

tags: added: verification-done-cosmic
removed: verification-needed verification-needed-cosmic

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.30.6-2ubuntu4

---------------
gnome-software (3.30.6-2ubuntu4) disco; urgency=medium

  * debian/patches/0026-odrs-Only-show-reviews-from-the-same-distribution.patch:
    - Show only Ubuntu reviews (LP: #1825064)

 -- Robert Ancell <email address hidden> Wed, 17 Apr 2019 10:49:03 +1200

Changed in gnome-software (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.30.2-0ubuntu11

---------------
gnome-software (3.30.2-0ubuntu11) cosmic; urgency=medium

  * debian/patches/0025-snap-Use-new-media-API.patch:
  * debian/control:
    - Use new snapd media API (LP: #1799614)
  * debian/patches/0026-odrs-Only-show-reviews-from-the-same-distribution.patch:
    - Show only Ubuntu reviews (LP: #1825064)

 -- Robert Ancell <email address hidden> Wed, 17 Apr 2019 14:48:48 +1200

Changed in gnome-software (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.28.1-0ubuntu4.18.04.10

---------------
gnome-software (3.28.1-0ubuntu4.18.04.10) bionic; urgency=medium

  * debian/control:
  * debian/patches/0027-snap-Use-new-media-API.patch:
    - Use new snapd media API (LP: #1799614)
  * debian/patches/0030-odrs-Only-show-reviews-from-the-same-distribution.patch:
    - Show only Ubuntu reviews (LP: #1825064)

 -- Robert Ancell <email address hidden> Wed, 17 Apr 2019 12:48:34 +1200

Changed in gnome-software (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.30.6-2ubuntu5

---------------
gnome-software (3.30.6-2ubuntu5) eoan; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
  * debian/patches/0028-Added-u2f-devices-to-interfaces-UI.patch
    - Merge u2f changes into original patch
  * debian/patches/0027-shell-Don-t-progate-CTRL-F-key-pressed-event.patch:
    - Fix Ctrl-F not opening search bar (LP: #1735071)

gnome-software (3.30.6-2ubuntu4) disco; urgency=mediumd

  * debian/patches/0026-odrs-Only-show-reviews-from-the-same-distribution.patch:
    - Show only Ubuntu reviews (LP: #1825064)

 -- Robert Ancell <email address hidden> Tue, 14 May 2019 11:04:29 +1200

Changed in gnome-software (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers